From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/bokeh/
Date: Wed, 9 Dec 2015 15:10:28 +0000 (UTC) [thread overview]
Message-ID: <1449673802.11bf4a50302e098f8f41a11b18b031402d2f59b6.jlec@gentoo> (raw)
commit: 11bf4a50302e098f8f41a11b18b031402d2f59b6
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 9 15:05:34 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Dec 9 15:10:02 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11bf4a50
dev-python/bokeh: Version Bump
Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/bokeh/Manifest | 1 +
.../{bokeh-0.7.1.ebuild => bokeh-0.10.0.ebuild} | 62 +++++++---------------
dev-python/bokeh/bokeh-0.7.1.ebuild | 2 +-
dev-python/bokeh/metadata.xml | 4 ++
4 files changed, 25 insertions(+), 44 deletions(-)
diff --git a/dev-python/bokeh/Manifest b/dev-python/bokeh/Manifest
index 8a4393d..43003de 100644
--- a/dev-python/bokeh/Manifest
+++ b/dev-python/bokeh/Manifest
@@ -1 +1,2 @@
+DIST bokeh-0.10.0.tar.gz 4474129 SHA256 2d8bd8c98e2f62b2a28328d3cc95bfbe257742fa7efc9c382b4c8ae4a141df14 SHA512 19023f1e67245005581b8640380045a8795747da75025478881f9d3791e82289ee75b74142b38a0bae9c236c0b1b6df1629376d5c3fcc319ceafb0a4abc7240f WHIRLPOOL 86e8e3774287164d2d7da0a04ceddb62eb03a19e48c82acf806c1a356d361f655bd6087f15b740ab36b84891ed849435e2a9c6098e881f07299cce8553d88fb2
DIST bokeh-0.7.1.tar.gz 30039486 SHA256 167125e07df2ea1f65b1b6dfed140b7b6ed7452a1182ad4cb0be2580af537f73 SHA512 cf2ee6457cab7ca0a98c2cf19a7814e081245b30cf6f4f4670f8fc60b216bb39f14d3cdf52c92f85635cbf6419db00c0c01adb2e1a6eeaa019cdc767c642c160 WHIRLPOOL 23e66370f1cab2d3a3c40b0713e5cdb50afa7aeec1c2d1172a1d9a5598c004dd351509973ac84f24ebb30dbc5a86de455e1dfcbe00daf6a1d12c3e336122a2b8
diff --git a/dev-python/bokeh/bokeh-0.7.1.ebuild b/dev-python/bokeh/bokeh-0.10.0.ebuild
similarity index 54%
copy from dev-python/bokeh/bokeh-0.7.1.ebuild
copy to dev-python/bokeh/bokeh-0.10.0.ebuild
index cf10e0e..8a80bce 100644
--- a/dev-python/bokeh/bokeh-0.7.1.ebuild
+++ b/dev-python/bokeh/bokeh-0.10.0.ebuild
@@ -4,72 +4,57 @@
EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
inherit distutils-r1 readme.gentoo
-DESCRIPTION="Statistical and interactive HTML plots for Python"
-HOMEPAGE="http://bokeh.pydata.org/"
-SRC_URI="https://github.com/ContinuumIO/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+DESCRIPTION="Statistical and novel interactive HTML plots for Python"
+HOMEPAGE="http://bokeh.pydata.org/ http://github.com/bokeh/bokeh http://pypi.python.org/pypi/bokeh"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
-SLOT="0"
LICENSE="BSD"
-KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="examples test"
# A doc build requires napoleon sphinx extension which will be included in sphinx release 1.3
# Therefore refraining from adding the doc build for now
RDEPEND="
+ dev-python/abstract_rendering[${PYTHON_USEDEP}]
>=dev-python/colorama-0.2.7[${PYTHON_USEDEP}]
- >=dev-python/click-3.3[${PYTHON_USEDEP}]
>=dev-python/flask-0.10.1[${PYTHON_USEDEP}]
- >=dev-python/greenlet-0.4.1[${PYTHON_USEDEP}]
- >=dev-python/itsdangerous-0.21[${PYTHON_USEDEP}]
>=dev-python/jinja-2.7[${PYTHON_USEDEP}]
- >=dev-python/markdown-2.3.1[${PYTHON_USEDEP}]
- >=dev-python/markupsafe-0.18[${PYTHON_USEDEP}]
>=dev-python/numpy-1.7.1[${PYTHON_USEDEP}]
>=dev-python/pandas-0.11[${PYTHON_USEDEP}]
- >=dev-python/pygments-1.6[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
- >=dev-python/pystache-0.5.3[${PYTHON_USEDEP}]
- >=dev-python/pytz-2013b[${PYTHON_USEDEP}]
>=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
>=dev-python/pyzmq-14.3.1[${PYTHON_USEDEP}]
>=dev-python/redis-py-2.7.6[${PYTHON_USEDEP}]
>=dev-python/requests-1.2.3[${PYTHON_USEDEP}]
>=dev-python/six-1.5.2[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
>=dev-python/werkzeug-0.9.1[${PYTHON_USEDEP}]
- >=net-libs/nodejs-0.8.28[npm]
- >=www-client/phantomjs-1.9.8
>=www-servers/tornado-4.0.1[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '>=dev-python/gevent-1.0[${PYTHON_USEDEP}]' python2_7)
- $(python_gen_cond_dep '>=dev-python/gevent-websocket-0.9.2[${PYTHON_USEDEP}]' python2_7)
"
# testing server: needs websocket not in portage yet
# websocket is in pypi for the adding
# hdf5 backend: needs array management not in portage yet
-DEPEND="
+DEPEND="${REDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
test? (
- ${RDEPEND}
- >=dev-python/nose-1.3.0[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
$(python_gen_cond_dep '>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]' python2_7)
- >=dev-python/colorama-0.2.7[${PYTHON_USEDEP}] )
+ )
"
DOCS=( CHANGELOG QUICKSTART.md README.md )
-PATCHES=( "${FILESDIR}"/${P}-setup.patch )
-
-python_prepare_all() {
- DOC_CONTENTS="websockets work only with python2_7"
-
- sed -i -e "s/jsbuild = get_user_jsargs()/jsbuild = False/g" setup.py || die
- cd bokehjs || die
- npm install ||die
- cd .. || die
- esetup.py --build_js sdist
-
- distutils-r1_python_prepare_all
+python_test() {
+ cd "${BUILD_DIR}"/lib || die
+ # exclude server tests for now
+ nosetests -v \
+ -e multiuser_auth_test \
+ -e usermodel_test \
+ || die
}
python_install_all() {
@@ -79,12 +64,3 @@ python_install_all() {
distutils-r1_python_install_all
}
-
-python_test() {
- cd "${BUILD_DIR}"/lib || die
- # exclude server tests for now
- nosetests -v \
- -e multiuser_auth_test \
- -e usermodel_test \
- || die
-}
diff --git a/dev-python/bokeh/bokeh-0.7.1.ebuild b/dev-python/bokeh/bokeh-0.7.1.ebuild
index cf10e0e..048fbe2 100644
--- a/dev-python/bokeh/bokeh-0.7.1.ebuild
+++ b/dev-python/bokeh/bokeh-0.7.1.ebuild
@@ -4,7 +4,7 @@
EAPI=5
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
inherit distutils-r1 readme.gentoo
diff --git a/dev-python/bokeh/metadata.xml b/dev-python/bokeh/metadata.xml
index e88bff6..e85a7b9 100644
--- a/dev-python/bokeh/metadata.xml
+++ b/dev-python/bokeh/metadata.xml
@@ -12,5 +12,9 @@
<upstream>
<remote-id type="pypi">bokeh</remote-id>
<remote-id type="github">ContinuumIO/bokeh</remote-id>
+ <maintainer status="unknown">
+ <email>info@continuum.io</email>
+ <name>Continuum Analytics</name>
+ </maintainer>
</upstream>
</pkgmetadata>
next reply other threads:[~2015-12-09 15:10 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-12-09 15:10 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-12-09 15:13 [gentoo-commits] repo/gentoo:master commit in: dev-python/bokeh/ Justin Lecher
2015-12-09 15:25 Justin Lecher
2016-01-07 8:56 Justin Lecher
2016-01-07 19:08 Justin Lecher
2016-02-05 19:45 Justin Lecher
2016-02-08 10:46 Justin Lecher
2016-12-31 22:20 Agostino Sarubbo
2017-01-30 19:47 Sebastien Fabbro
2018-05-16 22:57 Aaron Bauman
2018-06-28 19:18 Pacho Ramos
2018-06-28 19:18 Pacho Ramos
2018-06-28 19:18 Pacho Ramos
2018-06-28 21:09 Pacho Ramos
2018-07-01 15:19 Pacho Ramos
2018-07-02 7:02 Pacho Ramos
2018-07-21 0:08 Mikle Kolyada
2019-12-13 20:45 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1449673802.11bf4a50302e098f8f41a11b18b031402d2f59b6.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox